uuid: f21d6d28-2ed8-4ef8-80ba-8d71f4a1431f
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_user_mail
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'User mail configuration'
source:
  plugin: variable
  variables:
    - user_mail_status_activated_subject
    - user_mail_status_activated_body
    - user_mail_password_reset_subject
    - user_mail_password_reset_body
    - user_mail_status_canceled_subject
    - user_mail_status_canceled_body
    - user_mail_register_admin_created_subject
    - user_mail_register_admin_created_body
    - user_mail_register_no_approval_required_subject
    - user_mail_register_no_approval_required_body
    - user_mail_register_pending_approval_subject
    - user_mail_register_pending_approval_body
    - user_mail_status_blocked_subject
    - user_mail_status_blocked_body
  source_module: user
process:
  status_activated/subject:
    -
      plugin: get
      source: user_mail_status_activated_subject
  status_activated/body:
    -
      plugin: get
      source: user_mail_status_activated_body
  password_reset/subject:
    -
      plugin: get
      source: user_mail_password_reset_subject
  password_reset/body:
    -
      plugin: get
      source: user_mail_password_reset_body
  cancel_confirm/subject:
    -
      plugin: get
      source: user_mail_status_canceled_subject
  cancel_confirm/body:
    -
      plugin: get
      source: user_mail_status_canceled_body
  register_admin_created/subject:
    -
      plugin: get
      source: user_mail_register_admin_created_subject
  register_admin_created/body:
    -
      plugin: get
      source: user_mail_register_admin_created_body
  register_no_approval_required/subject:
    -
      plugin: get
      source: user_mail_register_no_approval_required_subject
  register_no_approval_required/body:
    -
      plugin: get
      source: user_mail_register_no_approval_required_body
  register_pending_approval/subject:
    -
      plugin: get
      source: user_mail_register_pending_approval_subject
  register_pending_approval/body:
    -
      plugin: get
      source: user_mail_register_pending_approval_body
  status_blocked/subject:
    -
      plugin: get
      source: user_mail_status_blocked_subject
  status_blocked/body:
    -
      plugin: get
      source: user_mail_status_blocked_body
destination:
  plugin: config
  config_name: user.mail
migration_dependencies:
  required: {  }
  optional: {  }
